com.microfocus.awm.model

## Class AbstractElementListEntry

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.model.AbstractElementListEntry

- All Implemented Interfaces:
    IElementListEntry, IResource, org.eclipse.core.runtime.IAdaptable
  Direct Known Subclasses:
    ElementListEntry

      public abstract class AbstractElementListEntry
      extends Resource
      implements IElementListEntry

  Abstract `IElementListEntry` implementation. Contains methods for obtaining properties from the entry's element.

  Not intended to be sub-classed by clients.

  Author:
    Ralf Pakosch

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

    - ### Fields inherited from interface com.microfocus.awm.model.IElementListEntry

      `ID_PREFIX, INSERT, STATE_NEW, STATE_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractElementListEntry(java.lang.String pID)` Basic constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<Property,IPropertyValue>` | `getAllPropertyValuesWithElement()` Returns a map off all Properties from this element list entry and its corresponding Element.
    `static java.util.Map<Property,IPropertyValue>` | `getAllPropertyValuesWithElementStatic(IElementListEntry pEntry)` Static call for `IElementListEntry.getAllPropertyValuesWithElement()`.
    `IPropertyValue` | `getPropertyValueWithElement(Property pProp)` Can return the property value of the entry as well as of the corresponding `IElement`.
    `static IPropertyValue` | `getPropertyValueWithElementStatic(IElementListEntry pEntry, Property pProp)` Static call for `IElementListEntry.getPropertyValueWithElement(Property)`.
    `java.lang.String` | `getTreeViewLabel()` Returns an element label, which consists of element property values that have the attribute `isTreeViewLabel` set to `true`.
    `static java.lang.String` | `getTreeViewLabelStatic(IElementListEntry pEntry)` Static call for `IElementListEntry.getTreeViewLabel()`.

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, delete, equals, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, hashCode, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IElementListEntry

      `addChild, getChildren, getChildren, getChildrenEntries, getElement, getElementList, getParent, getState, removeChild, setParent, setState`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### AbstractElementListEntry

          public AbstractElementListEntry(java.lang.String pID)

      Basic constructor.
      Parameters:
        `pID` - the cache ID

  - ### Method Detail

    - #### getPropertyValueWithElement

          public IPropertyValue getPropertyValueWithElement(Property pProp)

      Description copied from interface: `IElementListEntry`
      Can return the property value of the entry as well as of the corresponding `IElement`. If both have a property value for the desired property, the element list entry property value will be returned.
      Specified by:
        `getPropertyValueWithElement` in interface `IElementListEntry`
      Parameters:
        `pProp` - the desired property
      Returns:
        an `IPropertyValue` or `null`

    - #### getAllPropertyValuesWithElement

          public java.util.Map<Property,IPropertyValue> getAllPropertyValuesWithElement()

      Description copied from interface: `IElementListEntry`
      Returns a map off all Properties from this element list entry and its corresponding Element.

      Modifying this list will not modify any Properties of this entry or its Element.

      Specified by:
        `getAllPropertyValuesWithElement` in interface `IElementListEntry`
      Returns:
        a map containing all properties (can be empty)
      See Also:
        `IElementListEntry.getElement()`, `IResource.getAllPropertyValues()`

    - #### getTreeViewLabel

          public java.lang.String getTreeViewLabel()

      Description copied from interface: `IElementListEntry`
      Returns an element label, which consists of element property values that have the attribute `isTreeViewLabel` set to `true`.
      Specified by:
        `getTreeViewLabel` in interface `IElementListEntry`
      Returns:
        the tree view label for this entry

    - #### getPropertyValueWithElementStatic

          public static IPropertyValue getPropertyValueWithElementStatic(IElementListEntry pEntry,
                                                                         Property pProp)

      Static call for `IElementListEntry.getPropertyValueWithElement(Property)`.
      Parameters:
        `pEntry` - the element list entry
        `pProp` - the desired property
      Returns:
        the property value or `null`

    - #### getAllPropertyValuesWithElementStatic

          public static java.util.Map<Property,IPropertyValue> getAllPropertyValuesWithElementStatic(IElementListEntry pEntry)

      Static call for `IElementListEntry.getAllPropertyValuesWithElement()`.
      Parameters:
        `pEntry` - the element list entry
      Returns:
        a map containing all properties and property values (can be empty)

    - #### getTreeViewLabelStatic

          public static java.lang.String getTreeViewLabelStatic(IElementListEntry pEntry)

      Static call for `IElementListEntry.getTreeViewLabel()`.
      Parameters:
        `pEntry` - the entry to get the label from
      Returns:
        the tree view label

Copyright © 2015 Micro Focus GmbH. All rights reserved.